/*
Theme Name:     Digisante-child
Theme URI:
Description:    Digisante child theme.
Author:         Digisanté
Author URI:     https://www.digisante.fr
Template:       digisante
Version:        0.1.0
*/

/*
WEBFONTS EN LOCAL : UTILISER CET OUTIL https://gwfh.mranftl.com/fonts
1/ Récupérer les graisses nécessaires puis télécharger l'archive avec Woff et Woff2 uniquement pour le subset Latin1
2/ Rajouter du font-display:swap pour chaque déclaration @font-face et modifier le chemin vers /fonts/
3/ Récupérer la fonte de fallback optimale ici : https://www.industrialempathy.com/perfect-ish-font-fallback/?font=Montserrat
4/ Modifier la déclaration générale avec une font-stack complète et un !important.
5/ Mettre en place le préchargement de la fonte utilisée en Regular et Bold via WP Rocket (dans sa version Woff2)
*/

body, input, textrea, .gfield_label {
    font-family: Poppins, "Poppins-fallback", Arial, sans-serif !important;
}

body, header, footer, main {
    width: 100vw !important;
    max-width: 100vw !important;
}

.voxsight {
    font-family: Voxsight, Poppins, "Poppins-fallback", Arial, sans-serif !important;
    font-weight: 400 !important;
    font-size: 110% !important;
}

body { background-color: #FFFFF5!important; }

@font-face {
    font-family: "Poppins-fallback";
    size-adjust: 112.48000000000008%;
    ascent-override: 110%;
    src: local("Arial");
}

/* poppins-regular - latin */
@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local(''),
         url('fonts/poppins-v24-latin-regular.woff2') format('woff2'),
         url('fonts/poppins-v24-latin-regular.woff') format('woff');
  }
  /* poppins-600 - latin */
  @font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: local(''),
         url('fonts/poppins-v24-latin-600.woff2') format('woff2'),
         url('fonts/poppins-v24-latin-600.woff') format('woff');
  }
  /* voxsight - latin */
  @font-face {
    font-family: 'Voxsight';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: local(''),
         url('fonts/voxsight-webfont.woff2') format('woff2'),
         url('fonts/voxsight-webfont.woff') format('woff');
  }


  /* =========================================
   GRADIENT VERT
   Base : #016864 -> #88EDA0
   ========================================= */

/* BACKGROUND COLORS */
.bg-gradientvert, 
.bg-hover-gradientvert:hover { 
    background-color: #016864 !important; /* Fallback */
    background: -webkit-linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) !important;
    background: -moz-linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) !important;
    background: linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) !important;
}

/* FONT COLORS */
.font-gradientvert, 
.font-gradientvert a, 
.font-hover-gradientvert:hover, 
.placeholder-gradientvert::placeholder, 
.placeholder-gradientvert ::placeholder { 
    background: linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    color: transparent !important; 
}

/* LINKS COLORS */
.link-gradientvert a, 
.link-hover-gradientvert:hover { 
    background: linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
    -webkit-text-fill-color: transparent !important;
    color: transparent !important; 
    text-decoration: underline !important;
    text-decoration-color: #016864 !important; /* La ligne reste unie car text-decoration ne prend pas de gradient */
}

/* BORDER COLORS */
.border-gradientvert, 
.border-hover-gradientvert:hover { 
    border-style: solid !important;
    border-color: #016864 !important; /* Fallback */
    border-image: linear-gradient(90deg, rgba(1, 104, 100, 1) 0%, rgba(136, 237, 160, 1) 100%) 1 !important;
}

/* PICTO COLORS (SVG FILL) */
.picto-gradientvert { 
    fill: #016864 !important; /* Voir note ci-dessous concernant les SVG */
}


  /* MENU */
#site-navigation .btn.menu-item, .dropzone-auth-form .btn, #form-casestudy-filters .btn {
    color: #000000 !important;
    background-color: #88EDA0 !important;
    border-color: #88EDA0!important;
    padding-top: 1rem !important;
    padding-bottom: 1rem !important;
    padding-right: 1.5rem !important;
    padding-left: 1.5rem !important;
    border-radius: 5rem !important;
    cursor: pointer!important;
}

#site-navigation .btn.menu-item a {
    color: #000000 !important;
}

#site-navigation .btn.menu-item:hover, .dropzone-auth-form .btn:hover, #form-casestudy-filters .btn:hover {
    color: #FFFFF5 !important;
    background-color: #016864 !important;
    border-color: #016864!important;
}

#site-navigation .btn.menu-item:hover a {
    color: #FFFFF5 !important;
}

#site-navigation #menu-menu-principal > .menu-item {
    position: relative!important;
}


@media (min-width: 1200px) {
    #site-navigation #menu-menu-principal > *:not(:first-child, .btn)::before {
        content: "■";
        margin-right: 1rem!important;
        color: #FFFFF5 !important;
        position: absolute!important;
        left: -0.3rem!important;
    }
}

/* CHATBOT */
.chatbot {
    position: fixed!important;
    width: 8rem!important;
    right: 12%!important;
    bottom: 1rem!important;
    z-index: 100000!important;
}


/* BTN */
.btn { font-weight: 600 !important; }

/* CIRCLED */
.circled {
    position: relative;
    display: inline-block;
    z-index: 1;
}

.circled::after {
    content: "";
    position: absolute;
    left: -5%;
    top: -25%;
    width: 110%;
    height: 150%;
    z-index: -1;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    transform: rotate(-1.5deg);
}

.circled.picto-blanc::after {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 150" preserveAspectRatio="none"><path d="M190,25 C80,20 15,40 15,75 C15,115 100,140 250,140 C400,140 485,115 485,75 C485,35 350,15 150,15" fill="none" stroke="%23FFFFF5" stroke-width=".8" stroke-linecap="round" vector-effect="non-scaling-stroke"/></svg>');
}

.circled.picto-noir::after {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 150" preserveAspectRatio="none"><path d="M190,25 C80,20 15,40 15,75 C15,115 100,140 250,140 C400,140 485,115 485,75 C485,35 350,15 150,15" fill="none" stroke="%23000000" stroke-width=".8" stroke-linecap="round" vector-effect="non-scaling-stroke"/></svg>');
}

.circled.picto-vert::after {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 150" preserveAspectRatio="none"><path d="M190,25 C80,20 15,40 15,75 C15,115 100,140 250,140 C400,140 485,115 485,75 C485,35 350,15 150,15" fill="none" stroke="%23016864" stroke-width=".8" stroke-linecap="round" vector-effect="non-scaling-stroke"/></svg>');
}

.circled.picto-vertclair::after {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 500 150" preserveAspectRatio="none"><path d="M190,25 C80,20 15,40 15,75 C15,115 100,140 250,140 C400,140 485,115 485,75 C485,35 350,15 150,15" fill="none" stroke="%2388EDA0" stroke-width=".8" stroke-linecap="round" vector-effect="non-scaling-stroke"/></svg>');
}

/* HOME */
.home .section_blocs .card {
    min-height: 75vh!important;
}

.page-home .section_blocs ~ .section_blocs .card {
    min-height: unset!important;
}


/* CAS STUDY TABLE */
.single-case-study tr:first-of-type, .single-case-study td:first-of-type {
    font-weight: 600;
}
.single-case-study table { table-layout: fixed; }

.single-case-study table td:not(:first-of-type) {
    text-align: center !important;
}

/* CHECKBOX */
.form-check-input:focus {
    border-color: #016864 !important;
    box-shadow: 0 0 0 .25rem #01686440!important;
}

.form-check-input:checked {
    background-color: #016864!important;
    border-color: #016864!important;
}

.form-check-input {
    border-color: #016864 !important;
}

/* ACCORDEON */
.accordion-button::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}
.accordion-button:not(.collapsed)::after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000000'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

/* LI */
li::marker {
    color: inherit!important; /* Hérite de la couleur du parent */
}

/* ENFANT CAPABILITIES */
.page-id-915 .section_enfants .row > div:last-child, .page-id-927 .section_enfants .row > div:last-child  {
    display: none !important;
}

